/* Font Family Added */
@font-face {
  font-family: Roboto;
  src: url("../fonts/Roboto-Regular.ttf");
}
/* Universal Styling */
* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: Roboto;
}

a{
  text-decoration: none;
}

/* Form Styling Start */
.form-control:focus, 
.btn-check:focus+.btn, 
.btn:focus{
  box-shadow: none !important;
  color: #212529;
  background-color: #fff;
  border: none !important;
  outline: 0;
}



:root {
  --primarycolor: #71cd14;
  --secondarycolor: #000;
  --white: #ffffff;
  --black: #111111;
  --gray: #F6F6F8;
  --bordercolor: #dee2e6;
}

/* Button Styling Start*/
.button {
  color: var(--white) !important;
  background: var(--primarycolor);
  font-size: 1rem;
}

.button:hover {
  color: var(--primarycolor);
  background-color: var(--secondarycolor);
}

.button-lg{
  color: var(--white) !important;
  background: var(--primarycolor);
  font-size: 1rem;
  padding-left: 30px !important;
  padding-right: 30px !important;
}
.button-lg:hover {
  color: var(--primarycolor);
  background-color: var(--secondarycolor);
}

/* Owl Caurosel Button */
.owl-theme .owl-dots{
  position: absolute;
  width: 100%;
  bottom: 20px;
}
.owl-theme .owl-dots .owl-dot span{
  background-color: var(--secondarycolor);
  width: 15px;
  height: 15px;
}
.owl-theme .owl-dots .owl-dot.active span, .owl-theme .owl-dots .owl-dot:hover span{
  background-color: var(--primarycolor);
}
/* Owl Caurosel Styling end */



/* ************************ Navbar Stayling Start Here ************************ */

/* Website Logo */
.logo{
  width: 50px;
}
/* Navbar Styling Start */

.navbar-light .navbar-nav .nav-link.active, 
.navbar-light .navbar-nav .show>.nav-link,
.navbar-light .navbar-nav .nav-link:focus, 
.navbar-light .navbar-nav .nav-link:hover{
  color: var(--primarycolor);
}
.navbar-light .navbar-nav .nav-link{
  color: var(--black);
  margin: auto 10px;
  font-weight: bold;
}

/* Navbar Dropdown Styling Start */

.dropdown:hover > .dropdown-menu{
  display: block;
}
.dropdown-item:focus, .dropdown-item:hover{
  background-color: var(--primarycolor) !important;
  color: var(--white) !important;
}

/* Navbar Dropdown Styling End */

/* Navbar Icons Styling Start */
.navicons{
  display: flex;
}
.navicons i{
  color: var(--black);
  font-size: 1.3rem;
  margin: auto 10px;
}
.navicons i:hover{
  color: var(--primarycolor);
}

.badge{
  position: absolute;
  top: -15px;
  right: -10px;
  background-color: var(--primarycolor);
}

/* Navbar Icon Styling End */

.navmargin{
  width: 100%;
  height: 73px;
}

/* Login Signin & Forget Password Form STyling */
.flink{
  color: var(--primarycolor) !important;
  margin-left: 5px;
}

.btn-close:hover{
  transform:rotate(180deg);
  transition: .1s all;
}
.btn-close:focus{
  box-shadow: none !important;
}
/* ************************ Navbar Styling End Here ************************ */


/* ************************ Main Heading Styling Start ************************ */
.mheaidng{
  display: flex;
  justify-content: center;
}
.mheaidng h3{
  font-weight: bold;
  margin: auto 20px;
  text-transform: uppercase;
  color: var(--black);
}
.mheaidng span{
  width: 50px;
  height: 2px;
  background-color: var(--black);
  margin: auto 0px;
}

/* Breadcrumb Styling Start Here */
.breadcrumb-item > a{
  color: var(--primarycolor) !important;
}
/* Breadcrumb Styling End Here */

/* ************************ Main Heading Styling End ************************ */


/* ************************ Index Page Styling End Here ************************ */

/* Main Menu Start Here */
menu .item{
  width: 100%;
  height: 500px;
  background-position: center;
  background-size: cover;
  cursor: grab;
}
/* Slider Images Start */
.slider1{
  background-image: url('../images/background/bg-1.jpg');
}
.slider2{
  background-image: url('../images/background/bg-2.jpg');
}
.slider3{
  background-image: url('../images/background/bg-3.jpg');
}
/* Slider Images End */
.maindiv{
  height: 500px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: left;
}

.maindiv .title{
  text-transform: uppercase;
  font-weight: bold;
}

.maindiv .heading{
  margin-top: -20px;
  font-size: 4rem !important;
  font-weight: bolder !important;
}
/* Main Menu End */

/* Section 1 Start Here */
.product{
  position: relative;
  border: 1px solid var(--bordercolor);
  justify-content: center;
  overflow: hidden;
}
.product .pimg{
  width: 100%;
  transition: .5s all;
}
.product:hover .pimg{
  transform: scale(1.5);
}
.product .pname{
  position: absolute;
  bottom: 40px;   
  width: 100%;
  justify-content: center;
  display: flex;
}
.product a{
  
  background-color: var(--white);
  border: 1px solid var(--bordercolor);
  color: var(--black);
  padding: 7px 40px;
  font-weight: bold;
  font-size: 1rem;
}

.product1{
  /* width: auto; */
  max-width: 500px;
  height: 500px;
  margin: auto;
}
.product2{
  margin: auto;
  max-width: 300px;
  height: 240px;
}
/* Section 1 End Here */

/* Banner Section Start Here */
.banner{
  height: 300px;
  width: 100%;
  overflow: hidden;
  position: relative;
}

.banner img{
  position: absolute;
  width: 100%;
  transition: .5s all;
}
.banner:hover img{
  transform: scale(1.5);
}
.banner div{
  width: 100%;
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 300px;
  background-color: rgba(0, 0, 0, 0.2);  
}

.banner .heading{
  text-transform: uppercase;
  color: var(--white);
  font-weight: bold;
}
.banner p{
  color: var(--white);
  font-weight: bold;
  text-transform: uppercase;
}
/* Banner Section End Here */


/* ************************ Index Page Styling End Here ************************ */

/* ************************ Blog Page Styling End Here ************************ */

/* Blog Section Start Here */
.blog{
  border: 1px solid var(--bordercolor);
  max-width: 400px;
  margin: auto;
}
.blog .blogimg{
  height: 230px;
  width: 100%;
  overflow: hidden;
}
.blog .blogimg img{
  width: 100%;
  transition: .5s all;
}
.blog:hover .blogimg img{
  transform: scale(1.2);
}

.blog .blogdetail{
  padding: 20px;
}
.blog .blogdetail .bheading{
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--black);
  margin-bottom: 10px;
  display: block;
}
.blog .blogdetail .bheading:hover{
  color: var(--primarycolor);
}
.blog .blogdetail .binfo,
.blog .blogdetail .bdiscription{
  color: #595f59;
}
.blog .blogdetail .binfo>span{
  margin: auto 3px;
  cursor: pointer;
  color: var(--black);
}
.blog .blogdetail .binfo>span:hover{
  color: var(--primarycolor);
}
/* Blog Section End Here */


/* Blog Side bar Styling Start */
.sideblog{
  display: flex;
}
.sblogimg{
  width: 80px;
  height: 50px;
  overflow: hidden;
}
.sblogimg img{
  width: 100%;
}

.sblogname{
  font-weight: bold;
  color: var(--black);
}
.sblogname:hover{
  color: var(--primarycolor);
}


.linktag{
  color: var(--black);
  padding: 7px 30px;
  border: 1px solid var(--black);
  border-radius: 25px;
  line-height: 50px;
  margin-right: 10px;
}

.linktag:hover{
  color: var(--white);
  border: 1px solid var(--primarycolor);
  background-color: var(--primarycolor);
}
/* Blog Sidebar Styling End */


/* ************************ Blog Page Styling Start ************************ */

/* ************************ Product Page Styling Start Here ************************ */
.productitem{
  position: relative;
  border: 1px solid var(--bordercolor);
  overflow: hidden;
  max-width: 300px;
  margin: auto;
}
.productcard{
  position: relative;
  height: 300px;
  overflow: hidden;
  
}
.productcard img{
  height: 100%;
}
.image-back{
  position: absolute;
  opacity: 0;
  z-index: 5;
  top: 0;
  left: 0;
  transition: .5s all;
}
.productcard:hover .image-back {
  opacity: 1;
}

.productitem .tag{
  position: absolute;
  top: 20px;
  right: 20px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: var(--primarycolor);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
}
.productitem .tag p{
  color: var(--white);
  font-weight: bold;
  margin: 0px;
}

.productitem .wishlist{
  position: absolute;
  top: 20px;
  left: -100px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: var(--bordercolor);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
  transition: .5s all;
}
.productitem .wishlist i{
  color: var(--primarycolor);
}
.productitem:hover .wishlist{
  left: 20px;
}

.productitem .view{
  position: absolute;
  top: 80px;
  left: -100px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: var(--white);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
  transition: .5s all;
  transition-delay: .2s;
}
.productitem .view i{
  color: var(--primarycolor);
}
.productitem:hover .view{
  left: 20px;
  transition-delay: .2s;
}

.pdetail{
  margin: 20px;
  text-align: center;
}
.pdetail h5{
  color: var(--black);
  font-weight: bold;
}
.pdetail p{
  color: var(--primarycolor);
  font-weight: bold;
}
.cart{
  z-index: 50;
  background-color: var(--primarycolor);
  position: absolute;
  bottom: -50px;
  transition: .5s all;
}
.productitem:hover .cart{
  bottom: 20px;
  
}
/* ************************ Product Page Styling End Here ************************ */

/* ************************ Faq Page Styling Start Here ************************ */
.accordion-item{
  margin-bottom: 20px;
  border: none !important;
}

.accordion-button{
  background-color: #F6F6F8;
  font-weight: bold;
}

.accordion-button:not(.collapsed){
  color: var(--primarycolor) !important;
  background-color: #F6F6F8;
}
.accordion-body{
  border: 1px solid var(--bordercolor);
}

.accordion-button:focus {
  z-index: 3;
  border-color: var(--bordercolor) !important;
  outline: 0;
  box-shadow: none !important;
}

.accordion-button::after{
  background-color: var(--primarycolor) !important;
  padding: 25px;
  position: absolute;
  right: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-position: center;
}
/* ************************ Faq Page Styling End Here ************************ */

/* ************************ Cart & Wishlist Page Styling Start Here ************************ */
.pimg{
  min-width: 200px;
}

.pname{
  min-width: 200px;
}

.pprice{
  min-width: 150px;
}

.pquantity{
  min-width: 150px;
}

.ppaction{
  min-width: 50px;
}
.pimgdiv{
  width: 150px;
  height: 150px;
  overflow: hidden;
  border: 1px solid var(--bordercolor);
}

.pimgdiv img{
  width: 100%;
}

td div{
  min-height: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: left;
}

/* Quantity Button Styling Start */
.quantity{
  width: 120px;
  position: relative;
}

.quantity input[type=number]{
  position: absolute;
  width: 100%;
  height: 40px;
  border-radius: 20px;
  text-align: center;
  font-weight: bold;
  border: 2px solid var(--bordercolor);
  padding-left: 10px;
  background-color: var(--white);
}
.quantity .sub{
  position: absolute;
  left: 0px;
}
.quantity .add{
  position: absolute;
  right: 0px;
  
}
.quantity .btn{
  width: 37px;
  height: 37px;
  z-index: 1;
  color: var(--black);
  font-weight: bold;
  cursor: pointer;
  border-radius: 50%;
}
.quantity .btn:hover{
  color: var(--primarycolor);
}
/* Quantity Button Styling End */

.delete{
  color: red !important;
  text-align: center;
}
/* ************************ Cart & Wishlist Page Styling End Here ************************ */


/* ************************ Footer Styling Start Here ************************ */
footer{
  background-color: var(--gray);
}
.flogo{
  width: 75px;
  margin-bottom: 30px;
}

.address{
  display: flex;
  /* margin-bottom: 10px; */
}
.address i{
  margin-right: 10px;
  margin-top: 5px;
}

.address a{
  margin-bottom: 15px;
  color: var(--black);
}

.address a:hover{
  color: var(--primarycolor);
}

.fheading{
  font-weight: bold;
  margin-bottom: 30px;
}
.flinks{
  list-style: none;
  padding: 0px;
}

.flinks > li > a{
  color: var(--black);
  margin: 10px auto;
  display: block;
  text-transform: capitalize;
}

.flinks > li > a:hover{
  color: var(--primarycolor);
}

.f-mail{
  position: relative;
}

.f-mail input{
  position: absolute;
}

.f-mail input[type=email]{
  padding-right: 100px;
}
.f-mail input[type=submit]{
  right: 0px;
}
/* ************************ Footer Styling End Here ************************ */
